Stream the agent reply
curl --request GET \
--url https://runtime.webless.ai/eve/v1/session/{sessionId}/stream \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://runtime.webless.ai/eve/v1/session/{sessionId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://runtime.webless.ai/eve/v1/session/{sessionId}/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)"{\"type\":\"message.appended\",\"data\":{\"messageSoFar\":\"Hi! Welcome to Webless.\",\"messageDelta\":\"Hi!\"}}\n{\"type\":\"session.waiting\",\"data\":{}}\n"Agent Runtime API
Stream session events
NDJSON event stream for the active turn. Call after POST /eve/v1/session with the same Authorization header.
GET
/
eve
/
v1
/
session
/
{sessionId}
/
stream
Stream the agent reply
curl --request GET \
--url https://runtime.webless.ai/eve/v1/session/{sessionId}/stream \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://runtime.webless.ai/eve/v1/session/{sessionId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://runtime.webless.ai/eve/v1/session/{sessionId}/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)"{\"type\":\"message.appended\",\"data\":{\"messageSoFar\":\"Hi! Welcome to Webless.\",\"messageDelta\":\"Hi!\"}}\n{\"type\":\"session.waiting\",\"data\":{}}\n"Try it in this order
1
1. Bootstrap
Open Bootstrap. Enter your index
ID, click Try it, then Send. The playground saves your
accessToken for the next two pages. You can only use it on this site, and
it expires in about 15 minutes.2
2. Send a message
Open Send a message. This page
fills in your token and index ID. Send
Hello. The playground saves your
sessionId (wrun_…).3
3. Stream the reply
Open Stream events. This page
fills in your token and that
sessionId. Click Send to read the reply.wrun_…
session id. Click Send to read the reply from the message you just sent.Authorizations
accessToken from POST /webless/v1/bootstrap. Get it on the Bootstrap docs page (Send in the playground) or use POST Send a message for the full flow.
Path Parameters
sessionId from the Send a message 202 response. It looks like wrun_…
Example:
"wrun_01EXAMPLE"
Query Parameters
Your Webless index ID
Response
NDJSON. Each line is one event. The visitor-facing reply is message.appended data.messageSoFar.
Newline-delimited JSON. Each line is one StreamEvent object.
Was this page helpful?